Package oracle.kv.pubsub

# Enum StreamOperation.TransactionEvent.TransactionType

java.lang.Object
java.lang.Enum<StreamOperation.TransactionEvent.TransactionType>
oracle.kv.pubsub.StreamOperation.TransactionEvent.TransactionType

All Implemented Interfaces:
  `Serializable`, `Comparable<StreamOperation.TransactionEvent.TransactionType>`

Enclosing interface:
  StreamOperation.TransactionEvent

public static enum StreamOperation.TransactionEvent.TransactionType extends Enum<StreamOperation.TransactionEvent.TransactionType>
Types of transaction

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ABORT`
  aborted transaction
  `COMMIT`
  committed transaction

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static StreamOperation.TransactionEvent.TransactionType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static StreamOperation.TransactionEvent.TransactionType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### COMMIT

    public static final StreamOperation.TransactionEvent.TransactionType COMMIT
    committed transaction

  - ### ABORT

    public static final StreamOperation.TransactionEvent.TransactionType ABORT
    aborted transaction

- ## Method Details

  - ### values

    public static StreamOperation.TransactionEvent.TransactionType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static StreamOperation.TransactionEvent.TransactionType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null